CREATE TABLE users (
    id SERIAL NOT NULL PRIMARY KEY,
    email VARCHAR(320) NOT NULL UNIQUE,
    created_on INTEGER NOT NULL,

    banned INTEGER NOT NULL,
    ban_reason VARCHAR(1024) NOT NULL,

    totp_secret VARCHAR(128) NOT NULL,
    totp_verified INTEGER NOT NULL,
    totp_otpurl VARCHAR(3000) NOT NULL
);
CREATE INDEX idx_users_email ON users(email);